import { VirtualBackgroundConfig, VirtualBackgroundType } from '@zocks-communications/client-sdk-js';
import { ZocksMediaActions, ZocksTranscriptionActions } from '../../store';
export declare const useRoomControls: (mediaActions: ZocksMediaActions, transcriptionActions?: ZocksTranscriptionActions) => {
    audioIsOn: boolean;
    videoIsOn: boolean;
    isScreenSharing: boolean;
    isLocalScreenShare: boolean;
    currentVideoDeviceId: string | null;
    transcriptionServiceIsEnabled: boolean;
    toggleAudio: () => void;
    toggleVideo: () => void;
    toggleScreenShare: () => void;
    toggleTranscription: () => Promise<void>;
    selectAudioDevice: (audioDevice: MediaDeviceInfo) => void;
    selectVideoDevice: (videoDevice: MediaDeviceInfo) => void;
};
export declare const useVirtualBackgrounds: (mediaActions: ZocksMediaActions, config?: VirtualBackgroundConfig) => {
    availableBackgrounds: VirtualBackgroundType.BLUR[];
    currentVirtualBackground: VirtualBackgroundType | null;
    virtualBackgroundIsLoading: boolean;
    toggleBlur: () => Promise<void>;
};
